_ALLREPOS/jondeame/config/routes.rb
require 'sidekiq/web'

Catarse::Application.routes.draw do

  devise_for :users, path: '',
    path_names:   { sign_in: :login, sign_out: :logout, sign_up: :sign_up }, 
    controllers:  { omniauth_callbacks: :omniauth_callbacks, passwords: :passwords }

  devise_scope :user do
    post '/sign_up', to: 'devise/registrations#create', as: :sign_up
  end

  match '/thank_you' => "static#thank_you"

  check_user_admin = lambda { |request| request.env["warden"].authenticate? and request.env['warden'].user.admin }

  filter :locale, exclude: /\/auth\//

  # Mountable engines
  constraints check_user_admin do
    mount Sidekiq::Web => '/sidekiq'
  end

  mount CatarsePaypalExpress::Engine => "/", as: :catarse_paypal_express
  mount CatarseMoip::Engine => "/", as: :catarse_moip

  # Non production routes
  if Rails.env.development?
    resources :emails, only: [ :index ]
  end

  # Channels
  constraints subdomain: 'asas' do
    namespace :channels, path: '' do
      namespace :adm do
        resources :projects, only: [ :index, :update] do
          member do
            put 'approve'
            put 'reject'
            put 'push_to_draft'
          end
        end
      end
      get '/', to: 'profiles#show', as: :profile
      get '/how-it-works', to: 'profiles#how_it_works', as: :about
      resources :projects, only: [:new, :create, :show] do
        collection do
          get 'video'
        end
      end
      resources :channels_subscribers, only: [:index, :create, :destroy]
    end
  end

  # Root path should be after channel constraints
  root to: 'projects#index'

  # Static Pages
  get '/sitemap',               to: 'static#sitemap',             as: :sitemap
  get '/guidelines',            to: 'static#guidelines',          as: :guidelines
  get "/guidelines_tips",       to: "static#guidelines_tips",     as: :guidelines_tips
  get "/guidelines_backers",    to: "static#guidelines_backers",  as: :guidelines_backers
  get "/guidelines_start",      to: "static#guidelines_start",    as: :guidelines_start
  get "/about",                 to: "static#about",               as: :about


  match "/explore" => "explore#index", as: :explore
  match "/explore#:quick" => "explore#index", as: :explore_quick
  match "/credits" => "credits#index", as: :credits

  match "/reward/:id" => "rewards#show", as: :reward
  resources :posts, only: [:index, :create]

  namespace :reports do
    resources :backer_reports_for_project_owners, only: [:index]
  end

  resources :projects do
    resources :updates, controller: 'projects/updates', only: [ :index, :create, :destroy ]
    resources :rewards, only: [ :index, :create, :update, :destroy, :new, :edit ] do
      member do
        post 'sort'
      end
    end
    resources :backers, controller: 'projects/backers', only: [ :index, :show, :new, :create ] do
      member do
        match 'credits_checkout'
        post 'update_info'
      end
    end
    collection do
      get 'video'
    end
    member do
      put 'pay'
      get 'embed'
      get 'video_embed'
      get 'embed_panel'
    end
  end
  resources :users do
    resources :projects, controller: 'users/projects', only: [ :index ]
    collection do
      get :uservoice_gadget
    end
    resources :backers, controller: 'users/backers', only: [:index] do
      member do
        match :request_refund
      end
    end

    resources :unsubscribes, only: [:create]
    member do
      get 'projects'
      get 'credits'
      put 'unsubscribe_update'
      put 'update_email'
      put 'update_password'
    end
  end
  # match "/users/:id/request_refund/:back_id" => 'users#request_refund'

  resources :credits, only: [:index] do
    collection do
      get 'buy'
      post 'refund'
    end
  end

  namespace :adm do
    resources :projects, only: [ :index, :update, :destroy ] do
      member do
        put 'approve'
        put 'reject'
        put 'push_to_draft'
      end
    end

    resources :statistics, only: [ :index ]
    resources :financials, only: [ :index ]

    resources :backers, only: [ :index, :update ] do
      member do
        put 'confirm'
        put 'pendent'
        put 'change_reward'
        put 'refund'
        put 'hide'
        put 'cancel'
        put 'push_to_trash'
      end
    end
    resources :users, only: [ :index ]

    namespace :reports do
      resources :backer_reports, only: [ :index ]
    end
  end

  match "/mudancadelogin" => "users#set_email", as: :set_email_users
  match "/:permalink" => "projects#show", as: :project_by_slug

end

_ALLREPOS/jondeame/app/models/user.rb
# coding: utf-8


class User < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :token_authenticatable, :encryptable, :confirmable, :lockable, :timeoutable and :omniauthable
  # :validatable
  devise :database_authenticatable, :registerable,
    :recoverable, :rememberable, :trackable, :omniauthable
  begin
    # NOTE: Sync normal users on mailchimp
    sync_with_mailchimp subscribe_data: ->(user) {
                          { EMAIL: user.email, FNAME: user.name,
                          CITY: (user.address_city||'outro / other'), STATE: (user.address_state||'outro / other') }
                        },
                        list_id: Configuration[:mailchimp_list_id],
                        subscribe_when: ->(user) { user.newsletter_changed? && user.newsletter },
                        unsubscribe_when: ->(user) { user.newsletter_changed? && !user.newsletter },
                        unsubscribe_email: ->(user) { user.email }

  rescue Exception => e
    Rails.logger.info "-----> #{e.inspect}"
  end

  delegate  :display_name, :display_image, :short_name, :display_image_html,
    :medium_name, :display_credits, :display_total_of_backs,
    to: :decorator
  # Setup accessible (or protected) attributes for your model
  attr_accessible :email,
    :password,
    :password_confirmation,
    :remember_me,
    :name,
    :nickname,
    :image_url,
    :uploaded_image,
    :bio,
    :newsletter,
    :full_name,
    :address_street,
    :address_number,
    :address_complement,
    :address_neighbourhood,
    :address_city,
    :address_state,
    :address_zip_code,
    :phone_number,
    :cpf,
    :state_inscription,
    :locale,
    :twitter,
    :facebook_link,
    :other_link,
    :moip_login

  mount_uploader :uploaded_image, UserUploader

  validates_length_of :bio, maximum: 140

  validates_presence_of :email
  validates_uniqueness_of :email, :allow_blank => true, :if => :email_changed?, :message => I18n.t('activerecord.errors.models.user.attributes.email.taken')
  validates_format_of :email, :with => Devise.email_regexp, :allow_blank => true, :if => :email_changed?

  validates_presence_of :password, :if => :password_required?
  validates_confirmation_of :password, :if => :password_confirmation_required?
  validates_length_of :password, :within => Devise.password_length, :allow_blank => true

  schema_associations
  has_many :oauth_providers, through: :authorizations
  has_many :backs, class_name: "Backer"
  has_one :user_total
  has_and_belongs_to_many :recommended_projects, join_table: :recommendations, class_name: 'Project'


  # Channels relation
  has_and_belongs_to_many :channels, join_table: :channels_trustees
  has_and_belongs_to_many :subscriptions, join_table: :channels_subscribers, class_name: 'Channel'
  has_many :channels_projects, through: :channels, source: :projects
  has_many :channels_subscribers

  accepts_nested_attributes_for :unsubscribes, allow_destroy: true rescue puts "No association found for name 'unsubscribes'. Has it been defined yet?"

  scope :backers, -> {
    where("id IN (
      SELECT DISTINCT user_id
      FROM backers
      WHERE backers.state <> ALL(ARRAY['pending'::character varying::text, 'canceled'::character varying::text]))")
  }

  scope :who_backed_project, ->(project_id) {
    where("id IN (SELECT user_id FROM backers WHERE backers.state = 'confirmed' AND project_id = ?)", project_id)
  }

  scope :subscribed_to_updates, -> {
     where("id NOT IN (
       SELECT user_id
       FROM unsubscribes
       WHERE project_id IS NULL
       AND notification_type_id = (SELECT id from notification_types WHERE name = 'updates'))")
   }

  scope :subscribed_to_project, ->(project_id) {
    who_backed_project(project_id).
    where("id NOT IN (SELECT user_id FROM unsubscribes WHERE project_id = ?)", project_id)
  }

  scope :by_email, ->(email){ where('email ~* ?', email) }
  scope :by_payer_email, ->(email) {
    where('EXISTS(
      SELECT true
      FROM backers
      JOIN payment_notifications ON backers.id = payment_notifications.backer_id
      WHERE backers.user_id = users.id AND payment_notifications.extra_data ~* ?)', email)
  }
  scope :by_name, ->(name){ where('users.name ~* ?', name) }
  scope :by_id, ->(id){ where(id: id) }
  scope :by_key, ->(key){ where('EXISTS(SELECT true FROM backers WHERE backers.user_id = users.id AND backers.key ~* ?)', key) }
  scope :has_credits, joins(:user_total).where('user_totals.credits > 0')
  scope :order_by, ->(sort_field){ order(sort_field) }

  def self.backer_totals
    connection.select_one(
      self.scoped.
      joins(:user_total).
      select('
        count(DISTINCT user_id) as users,
        count(*) as backers,
        sum(user_totals.sum) as backed,
        sum(user_totals.credits) as credits').
      to_sql
    ).reduce({}){|memo,el| memo.merge({ el[0].to_sym => BigDecimal.new(el[1] || '0') }) }
  end

  def has_facebook_authentication?
    oauth = OauthProvider.find_by_name 'facebook'
    authorizations.where(oauth_provider_id: oauth.id).present? if oauth
  end

  def decorator
    @decorator ||= UserDecorator.new(self)
  end

  def admin?
    admin
  end

  # NOTE: Checking if the user has CHANNELS
  # If the user has some channels, this method returns TRUE
  # Otherwise, it's FALSE
  def trustee?
    !self.channels.size.zero?
  end

  def credits
    user_total ? user_total.credits : 0.0
  end

  def total_backed_projects
    user_total ? user_total.total_backed_projects : 0
  end

  def facebook_id
    auth = authorizations.joins(:oauth_provider).where("oauth_providers.name = 'facebook'").first
    auth.uid if auth
  end

  def to_param
    return "#{self.id}" unless self.display_name
    "#{self.id}-#{self.display_name.parameterize}"
  end

  def self.create_with_omniauth(auth, current_user = nil)
    omniauth_email = (auth["info"]["email"] rescue nil)
    omniauth_email = (auth["extra"]["user_hash"]["email"] rescue nil) unless omniauth_email
    if current_user
      u = current_user
    elsif omniauth_email && u = User.find_by_email(omniauth_email)
    else
      u = new do |user|
        user.name = auth["info"]["name"]
        user.email = omniauth_email
        user.nickname = auth["info"]["nickname"]
        user.bio = (auth["info"]["description"][0..139] rescue nil)
        user.locale = I18n.locale.to_s
        user.image_url = "https://graph.facebook.com/#{auth['uid']}/picture?type=large" if auth["provider"] == "facebook"
      end
    end
    provider = OauthProvider.where(name: auth['provider']).first
    u.authorizations.build(uid: auth['uid'], oauth_provider_id: provider.id) if provider
    u.save!
    u
  end

  def total_backs
    backs.confirmed.not_anonymous.count
  end

  def updates_subscription
    unsubscribes.updates_unsubscribe(nil)
  end

  def project_unsubscribes
    backed_projects.map do |p|
      unsubscribes.updates_unsubscribe(p.id)
    end
  end

  def backed_projects
    Project.backed_by(self.id)
  end

  def backs_text
    if total_backed_projects == 2
      I18n.t('user.backs_text.two')
    elsif total_backed_projects > 1
      I18n.t('user.backs_text.many', total: (total_backed_projects-1))
    else
      I18n.t('user.backs_text.one')
    end
  end

  def twitter_link
    "http://twitter.com/#{self.twitter}"
  end

  def fix_twitter_user
    self.twitter.gsub!(/@/, '') if self.twitter
  end

  def fix_facebook_link
    if !self.facebook_link.blank?
      self.facebook_link = ('http://' + self.facebook_link) unless self.facebook_link[/^https?:\/\//]
    end
  end

  # Returns a Gravatar URL associated with the email parameter, uses local avatar if available
  def gravatar_url
    return unless email
    "https://gravatar.com/avatar/#{Digest::MD5.new.update(email)}.jpg?default=#{::Configuration[:base_url]}/assets/user.png"
  end

  def password_required?
    !persisted? || !password.nil? || !password_confirmation.nil?
  end

  def password_confirmation_required?
    !new_record?
  end

end

_ALLREPOS/jondeame/app/controllers/adm/users_controller.rb
class Adm::UsersController < Adm::BaseController
  inherit_resources
  menu I18n.t("adm.users.index.menu") => Rails.application.routes.url_helpers.adm_users_path
  before_filter :set_title
  before_filter :set_totals

  has_scope :by_id, :by_name, :by_email, :by_payer_email, :by_key, :has_credits, :has_credits_difference, only: :index

  protected
  def set_totals
    totals = end_of_association_chain.backer_totals
    @total_users = totals[:users].to_i
    @total_backs = totals[:backs]
    @total_backed = totals[:backed]
    @total_credits = totals[:credits]
  end

  def set_title
    @title = t("adm.users.index.title")
  end

  def collection
    @users ||= apply_scopes(end_of_association_chain).order_by(params[:order_by] || 'coalesce(user_totals.sum, 0) DESC').includes(:user_total).page(params[:page])
  end
end

_ALLREPOS/jondeame/app/controllers/users/backers_controller.rb
class Users::BackersController < ApplicationController
  inherit_resources
  defaults resource_class: Backer, collection_name: 'backs', instance_name: 'back'
  belongs_to :user
  actions :index

  def index
    render layout: false
  end

  def request_refund
    authorize! :request_refund, resource
    if resource.value > resource.user.user_total.credits
      flash[:failure] = I18n.t('credits.index.insufficient_credits')
    elsif can?(:request_refund, resource) && resource.can_request_refund?
      resource.request_refund!
      flash[:notice] = I18n.t('credits.index.refunded')
    end

    redirect_to user_path(parent, anchor: 'credits')
  end

  protected
  def collection
    @backs = end_of_association_chain.available_to_count.order("confirmed_at DESC")
    @backs = @backs.not_anonymous if can? :manage, @user
    @backs = @backs.includes(:user, :reward, project: [:user, :category, :project_total]).page(params[:page]).per(10)
  end
end

_ALLREPOS/jondeame/app/controllers/users/projects_controller.rb
class Users::ProjectsController < ApplicationController
  inherit_resources
  actions :index
  belongs_to :user

  def index
    render layout: false
  end

  def collection
    @projects ||= end_of_association_chain.page(params[:page]).per(10)
  end
end

_ALLREPOS/jondeame/app/controllers/users_controller.rb
# coding: utf-8
class UsersController < ApplicationController
  load_and_authorize_resource new: [ :set_email ], except: [ :projects ]
  inherit_resources
  actions :show, :update, :unsubscribe_update, :request_refund, :set_email, :update_email, :uservoice_gadget
  respond_to :json, only: [:backs, :projects, :request_refund]

  def uservoice_gadget
    if params[:secret] == ::Configuration[:uservoice_secret_gadget]
      @user = User.find_by_email params[:email]
    end

    render :uservoice_gadget, layout: false
  end

  def show
    show!{
      fb_admins_add(@user.facebook_id) if @user.facebook_id
      @title = "#{@user.display_name}"
      @credits = @user.backs.can_refund.all
      @subscribed_to_updates = @user.updates_subscription
      @unsubscribes = @user.project_unsubscribes
    }
  end

  def set_email
    @user = current_user
  end

  def update_email
    update! do |success,failure|
      success.html do
        flash[:notice] = t('users.current_user_fields.updated')
        redirect_to (session[:return_to] || user_path(@user, anchor: 'settings'))
        session[:return_to] = nil
        return
      end
      failure.html{ return render :set_email }
    end
  end

  def update
    update! do |success,failure|
      success.html do
        flash[:notice] = t('users.current_user_fields.updated')
      end
      failure.html do
        flash[:error] = @user.errors.full_messages.to_sentence
      end
    end
    return redirect_to user_path(@user, anchor: 'settings')
  end

  def update_password
    @user = User.find(params[:id])
    if @user.update_with_password(params[:user])
      flash[:notice] = t('users.current_user_fields.updated')
    else
      flash[:error] = @user.errors.full_messages.to_sentence
    end
    return redirect_to user_path(@user, anchor: 'settings')
  end

  def projects
    @user = User.find(params[:id])
    @projects = @user.projects.includes(:user, :category, :project_total).order("updated_at DESC")
    @projects = @projects.visible unless @user == current_user
    @projects = @projects.page(params[:page]).per(10)
    render json: @projects
  end

  def credits
    @user = User.find(params[:id])
    @credits = @user.backs.can_refund.order(:id).all
    render json: @credits
  end
end

_ALLREPOS/jondeame/app/views/users/_credits.html.slim
.current_credits
  p= t('credits.index.current_credits_html', credits: @user.display_credits)

.table_title
  p= I18n.t('credits.index.refunds_title')
.table_content
  table.table.table-striped
    thead
      th= t('credits.index.project')
      th= t('credits.index.back_date')
      th= t('credits.index.value')
      th= t('credits.index.refund_expration_date')
      th= t('credits.index.status')
    - @credits.each do |credit|
      tr[id="back_#{credit.id}"]
        td.project_name
          = link_to credit.project.name, credit.project, class: 'link_project'
        td.date= I18n.l(credit.created_at.to_date)
        td.value= credit.display_value
        td.term= I18n.l(credit.refund_deadline.to_date)
        td.status
          - if credit.requested_refund?
            = t('credits.index.requested_refund')
          - elsif credit.refunded?
            = t('credits.index.refunded')
          - else
            - if can? :request_refund, credit
              .bootstrap-twitter
                div id="requestRefundModal#{credit.id}" class="hide modal"
                  .modal-header
                    h3= t('credits.modal.title')
                  .modal-body
                    p= t('credits.modal.text')
                    = link_to t('credits.modal.link'), 'http://suporte.catarse.me/knowledgebase/articles/164746-regras-e-funcionamento-dos-reembolsos-estornos', target: '_blank'
                  .modal-footer
                    button type='button' data-dismiss="modal" class="btn"
                      = t('credits.modal.reject_btn')
                    = link_to request_refund_user_backer_path(@user, credit), class: 'btn' do
                      = t('credits.modal.accept_btn')
              = link_to t('credits.index.request_refund'), "#requestRefundModal#{credit.id}", data: {toggle: 'modal'}, class: 'link_project'
.bootstrap-alert
  .alert.alert-info
    = t('credits.index.important_html')

_ALLREPOS/jondeame/app/views/users/_project.html.slim
div class=(can?(:manage, @user) ? 'project_land' : 'small_project_land')
  - if project.expired?
    .status_image
      a href=""
      = link_to project_by_slug_path(project.permalink) do
        - if project.successful?
          = image_tag "successful.#{I18n.locale}.png"
        - elsif project.waiting_funds?
          = image_tag "waiting_confirmation.#{I18n.locale}.png"
        - elsif project.failed?
          = image_tag "not_successful.#{I18n.locale}.png"
        - else
          = ''
  .cover
    p.black_box= project.category.send("name_#{I18n.locale}")
    img[src=project.display_image width="218px" height="175px"]
  .project_infos
    .title
      h4
        = link_to project.name, project_by_slug_path(project.permalink)
      p.author== "#{t('project_by')} #{project.user.name}"
      p.headline= project.headline
    .status_bar
      .progress style="width: #{project.display_progress}%;"
    ul
      li
        - if project.time_to_go[:time] > 0
          h6= "#{project.time_to_go[:time]} #{project.time_to_go[:unit]}"
          p= project.remaining_text
        - else
          h6= project.display_status.blank? ? nil : I18n.t("project.display_status.#{project.display_status}")
          p= project.display_expires_at
      li
        h6= "#{project.progress} %"
        p= t('projects.project.backed')
      li
        h6= project.display_pledged
        p= t('projects.project.reached')
  - if backer && can?(:manage, @user)
    div.back_info
      ul
        li.date
          h5= backer.display_confirmed_at
        - if backer.display_value
          li.value
            h5= backer.display_value
        - if backer.reward
          li.reward
            h5= I18n.t('projects.rewards.reward_title', minimum: backer.reward.display_minimum)
            - description = backer.reward.description.gsub(/"/,'&quot;')
            p[ title=description ]= truncate(backer.reward.description, length: 75)
    .tell_about
      p= t('tell_about_this_back')
      ul
        li= link_to image_tag('catarse/facebook_black_icon.png'), "http://www.facebook.com/sharer.php?u=<%= encodeURIComponent(project['full_uri']) %>&t=#{t('share_my_backs')}<%= encodeURIComponent(project['name']) %>".html_safe, target: '_blank'
        li= link_to image_tag('catarse/twitter_black_icon.png'), "http://twitter.com/share?text=#{t('share_my_backs')}<%= encodeURIComponent(project['name']) %>&url=<%= encodeURIComponent(project['full_uri']) %>".html_safe, target: '_blank'
.clearfix

_ALLREPOS/jondeame/app/views/users/_unsubscribes.html.slim
#my_data
  ul
    = I18n.t('users.unsubscribes.title')
  ul
    li
      .bootstrap-form
      = semantic_form_for(@user, url: user_unsubscribes_path(user_id: @user.id), html:{ method: :post}) do |f|
        = f.inputs do
          = f.semantic_fields_for :unsubscribes, @subscribed_to_updates do |u|
            - u.object.created_at.nil? ? (checked = { checked: 'checked' }) : (checked = nil)
            #subscribed_check
              = u.input :subscribed, as: :boolean, input_html: checked, label: I18n.t('users.unsubscribes.updates')
          - if @unsubscribes
            = f.semantic_fields_for :unsubscribes, @unsubscribes do |u|
              = u.inputs do
                - u.object.created_at.nil? ? (checked = { checked: 'checked' }) : (checked = nil)
                .subscribed_projects
                  = u.input :subscribed, as: :boolean, input_html: checked, label: Project.find(u.object.project_id).name
                = u.input :project_id, as: :hidden
                = u.input :user_id, as: :hidden
                = u.input :notification_type_id, as: :hidden

        p= f.submit t('users.current_user_fields.update_social_info'), class: 'btn', id: "unsubscribe_submit"

_ALLREPOS/jondeame/app/views/users/set_email.html.slim
= content_for :title do 
  = t('.site_title')

#page_content
  .container
    .devise_content
      .title
        h1=t('.title')
      .bootstrap-form
        = semantic_form_for @user, url: update_email_user_path(@user), html: { method: :put }  do |f|
          = f.inputs do
            = f.input :email, as: :string
          = f.actions do
            .bootstrap-twitter
              = f.submit t('.submit'), class: 'btn', id: 'user_submit'
    .clearfix

_ALLREPOS/jondeame/app/views/users/show.html.slim
= content_for :meta_tags do
  -# Meta tags for facebook social graph
  meta property="og:title" content=@user.name
  meta property="og:url" content=="#{Configuration[:base_url]}#{user_path(@user)}"
  meta property="og:image" content==@user.display_image
  meta property="og:site_name" content=::Configuration[:company_name]
  meta property="og:description" content=@user.bio
  meta property="fb:admins" content="#{fb_admins}"

#page_content
  .container
    #user_profile
      .section_header
        .profile_image
          = @user.display_image_html
        .profile_title
          h1.profile
              = @user.display_name
          h4.bio
              = @user.bio
      .user_social
        ul
          - if can? :manage, @user
            li.email
              = mail_to @user.email, @user.email, target: '_blank'
          - if @user.facebook_link
            li.facebook
              = link_to t('.user_social.facebook'), @user.facebook_link, target: '_blank'
          - if @user.twitter
            li.twitter
              = link_to t('.user_social.twitter'), @user.twitter_link, target: '_blank'
          - if @user.other_link
            li.other
              = link_to @user.other_link, @user.other_link, target: '_blank'

      .tab_container
        nav#user_profile_menu
          = link_to t('.tabs.backed_projects'), '#backs', id: 'backed_projects_link', class: 'selected', data: { target: '#user_backed_projects' }
          = link_to t('.tabs.created_projects'), '#projects', id: 'created_projects_link', data: { target: '#user_created_projects' }
          - if can? :manage, @user
            = link_to t('.tabs.credits'), '#credits', id: 'credits_link', data: { target: '#user_credits' }
            = link_to t('.tabs.settings'), '#settings', id: 'settings_link', data: { target: '#user_settings' }
            = link_to t('.tabs.unsubscribes'), '#unsubscribes', id: 'unsubscribes_link', data: { target: '#user_unsubscribes' }
      .clearfix
      #user_profile_content
        #user_backed_projects.content[data-path=user_backers_path(@user)]
          - if !can? :manage, @user
            p.empty.hide= t('users.backs.no_backs', name: @user.display_name)
          - else
            p.empty.hide= t('users.backs.no_backs_current_user_html', link: ::Configuration[:base_url])
          .results
          .clearfix
          .loading= image_tag "loading.gif"
          .clearfix
        #user_created_projects.content.hide[data-path=user_projects_path(@user)]
          - if current_user != @user
            p.empty.hide= t('users.projects.no_projects', name: @user.display_name)
          - else
            p.empty.hide= t('users.projects.no_projects_current_user_html', link: link_to(t('users.projects.here'), guidelines_start_path)).html_safe
          .results
          .clearfix
          .loading= image_tag "loading.gif"
          .clearfix
        - if can? :manage, @user
          #user_unsubscribes.content.hide
            = render 'unsubscribes'
          #user_settings.content.hide
            = render 'current_user_fields'
          #user_credits.content.hide
            = render 'credits'
      .clearfix
    .clearfix

_ALLREPOS/jondeame/app/views/users/uservoice_gadget.html.slim
doctype 5
html lang="#{I18n.locale}" xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://ogp.me/ns#" xmlns:fb="http://www.facebook.com/2008/fbml"
  head
    title= t('site.meta_title', title: (@title || yield(:title)), company_name: ::Configuration[:company_name])

    meta charset='utf-8'
    meta name="robots" content="index, follow"

    link href="https://cdn.uservoice.com/packages/gadget.css" media="all" rel="stylesheet" type="text/css"

  body
    - if @user
      dl
        dt 
          strong= t('uservoice_gadget.user.name')
        dd= link_to @user.display_name, user_url(@user)

        br/

        dt
          strong= t('uservoice_gadget.user.location')
        dd= "#{@user.address_city} / #{@user.address_state}"

        br/

        dt
          strong= t('uservoice_gadget.user.confirmed_backers')
        dd
          ul
            - @user.backs.confirmed.each do |backer|
              li= "#{backer.project.name} - #{backer.display_value}"

        br/

        dt
          strong= t('uservoice_gadget.user.created_projects')
        dd
          ul
            - @user.projects.each do |project|
              li= link_to project.name, project_by_slug_url(project)
    - else
      javascript:
        window.gadgetNoData = true;

    script src="https://cdn.uservoice.com/packages/gadget.js" type="text/javascript"